package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.TProjectCompany;

import java.util.List;

/**
 * 项目公司信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
public interface TProjectCompanyMapper 
{
    /**
     * 查询项目公司信息
     * 
     * @param id 项目公司信息主键
     * @return 项目公司信息
     */
    public TProjectCompany selectTProjectCompanyById(String id);

    /**
     * 查询项目公司信息列表
     * 
     * @param tProjectCompany 项目公司信息
     * @return 项目公司信息集合
     */
    public List<TProjectCompany> selectTProjectCompanyList(TProjectCompany tProjectCompany);

    /**
     * 新增项目公司信息
     * 
     * @param tProjectCompany 项目公司信息
     * @return 结果
     */
    public int insertTProjectCompany(TProjectCompany tProjectCompany);

    /**
     * 修改项目公司信息
     * 
     * @param tProjectCompany 项目公司信息
     * @return 结果
     */
    public int updateTProjectCompany(TProjectCompany tProjectCompany);

    /**
     * 删除项目公司信息
     * 
     * @param id 项目公司信息主键
     * @return 结果
     */
    public int deleteTProjectCompanyById(String id);

    /**
     * 批量删除项目公司信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTProjectCompanyByIds(String[] ids);

    /**
     * 批量删除项目公司信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int updateTProjectCompanyByIds(String[] ids);

    /**
     * 根据项目ID查询项目公司信息
     * @param projectPoolId
     * @return
     */
    TProjectCompany selectTProjectCompanyByProjectPoolId(String projectPoolId);
}
